Intermittent w3c-css/submitted/masking/mask-image-1c.html == w3c-css/submitted/masking/mask-image-1-ref.html | image comparison, max difference: 255, number of differing pixels: 5000

REOPENED
Unassigned

Status

()

Core
Layout
REOPENED
a year ago
6 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure, leave-open})

unspecified
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox58 disabled, firefox59 disabled, firefox60 disabled)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment, 4 obsolete attachments)

Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 1

11 months ago
6 failures in 1008 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 1

Platform breakdown:
* linux64-stylo: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-07-24&endday=2017-07-30&tree=all
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 2

11 months ago
1 failures in 888 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64-stylo-sequential: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 3

10 months ago
5 failures in 908 pushes (0.006 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* try: 2

Platform breakdown:
* linux32-stylo: 3
* windows7-32-stylo: 1
* linux64-stylo-sequential: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 4

10 months ago
3 failures in 939 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3

Platform breakdown:
* linux64-stylo: 2
* linux32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 5

10 months ago
17 failures in 924 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-central: 4
* try: 3
* mozilla-inbound: 3

Platform breakdown:
* linux64: 14
* linux64-ccov: 1
* linux32-stylo: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 6

9 months ago
37 failures in 1032 pushes (0.036 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 16
* autoland: 10
* try: 5
* mozilla-central: 5
* mozilla-beta: 1

Platform breakdown:
* linux64: 34
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-09-11&endday=2017-09-17&tree=all
:jet, could you help prioritize this bug and get this in a queue for work when appropriate.
Flags: needinfo?(bugs)
Whiteboard: [stockwell needswork]

Comment 8

9 months ago
25 failures in 943 pushes (0.027 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 11
* autoland: 7
* try: 3
* mozilla-central: 2
* mozilla-beta: 2

Platform breakdown:
* linux64: 24
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 9

9 months ago
19 failures in 885 pushes (0.021 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 8
* mozilla-inbound: 4
* mozilla-beta: 3
* mozilla-central: 2
* try: 1
* oak: 1

Platform breakdown:
* linux64: 15
* linux64-devedition: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-09-25&endday=2017-10-01&tree=all
Whiteboard: [stockwell needswork] → [stockwell unknown]

Comment 10

9 months ago
17 failures in 824 pushes (0.021 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 3
* try: 2
* mozilla-beta: 2

Platform breakdown:
* linux64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 11

8 months ago
10 failures in 947 pushes (0.011 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 4
* mozilla-central: 3
* try: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux64: 5
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 12

8 months ago
31 failures in 864 pushes (0.036 failures/push) were associated with this bug in the last 7 days. 

This is the #49 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 12
* mozilla-inbound: 8
* mozilla-central: 8
* mozilla-beta: 2
* try: 1

Platform breakdown:
* linux64: 26
* linux64-qr: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-10-16&endday=2017-10-22&tree=all
Whiteboard: [stockwell unknown] → [stockwell needswork]
If this persists to fail at a high rate, we will gather more information and look for a developer to investigate.

Comment 14

8 months ago
51 failures in 912 pushes (0.056 failures/push) were associated with this bug in the last 7 days. 

This is the #27 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 23
* mozilla-inbound: 17
* mozilla-central: 9
* try: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 50
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 15

8 months ago
15 failures in 143 pushes (0.105 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 7
* mozilla-inbound: 4
* try: 2
* mozilla-central: 2

Platform breakdown:
* linux64: 14
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-02&endday=2017-11-02&tree=all
In the last 7 days, there have been 44 failures.
Most of the failures occur on Linux x64. The build types affected are asan, debug, opt.

A recent log exmaple: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=140140384&lineNumber=9070

And a relevant part of the log where the test failed:
2017-10-27T09:21:40.794Z] 09:21:40     INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1-ref.html
9069
[task 2017-10-27T09:21:40.794Z] 09:21:40     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html | 1435 / 1936 (74%)
9070
[task 2017-10-27T09:21:41.112Z] 09:21:41     INFO - REFTEST TEST-UNEXPECTED-FAIL | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1-ref.html | image comparison, max difference: 255, number of differing pixels: 5000
9071
[task 2017-10-27T09:21:41.122Z] 09:21:41     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,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
9072
[task 2017-10-27T09:21:41.128Z] 09:21:41     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
9073
[task 2017-10-27T09:21:41.129Z] 09:21:41     INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html
9074
[task 2017-10-27T09:21:41.131Z] 09:21:41     INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
9075
[task 2017-10-27T09:21:41.132Z] 09:21:41     INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
9076
[task 2017-10-27T09:21:41.132Z] 09:21:41     INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
9077
[task 2017-10-27T09:21:41.133Z] 09:21:41     INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
9078
[task 2017-10-27T09:21:41.134Z] 09:21:41     INFO - REFTEST INFO | Saved log: RecordResult fired
9079
[task 2017-10-27T09:21:41.135Z] 09:21:41     INFO - REFTEST INFO | Saved log: RecordResult fired
9080
[task 2017-10-27T09:21:41.135Z] 09:21:41     INFO - REFTEST TEST-END | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1-ref.html

:jet, can you please take a look?

Comment 18

8 months ago
43 failures in 857 pushes (0.05 failures/push) were associated with this bug in the last 7 days. 

This is the #42 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 18
* autoland: 15
* mozilla-central: 5
* try: 4
* mozilla-beta: 1

Platform breakdown:
* linux64: 39
* linux32: 3
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-10-30&endday=2017-11-05&tree=all
Duplicate of this bug: 1414820

Comment 20

7 months ago
44 failures in 849 pushes (0.052 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* try: 12
* autoland: 11
* mozilla-inbound: 10
* mozilla-central: 8
* mozilla-beta: 3

Platform breakdown:
* linux64: 41
* linux32: 2
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-06&endday=2017-11-12&tree=all
There have been 39 failures related to this bug in the last 7 days.

:jet any updates on this?

Comment 22

7 months ago
39 failures in 762 pushes (0.051 failures/push) were associated with this bug in the last 7 days. 

This is the #30 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 17
* autoland: 14
* mozilla-central: 5
* try: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 35
* linux64-qr: 3
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-13&endday=2017-11-19&tree=all

Comment 23

7 months ago
8 failures in 176 pushes (0.045 failures/push) were associated with this bug yesterday.    

** This test has failed more than 200 times in the last 30 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* mozilla-inbound: 4
* autoland: 4

Platform breakdown:
* linux64: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-21&endday=2017-11-21&tree=all
Whiteboard: [stockwell needswork] → [stockwell disable-recommended]

Comment 24

7 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/72f457e76554
Disable (random-if) reftest w3c-css/submitted/masking/mask-image-1c.html on linux for frequent intermittent failures; r=me, a=test-only

Updated

7 months ago
Keywords: bulk-close-intermittents → leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

Comment 26

7 months ago
16 failures in 146 pushes (0.11 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 7
* autoland: 7
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 12
* linux64-qr: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-23&endday=2017-11-23&tree=all

Comment 27

7 months ago
51 failures in 744 pushes (0.069 failures/push) were associated with this bug in the last 7 days. 

This is the #15 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 27
* mozilla-inbound: 16
* try: 3
* mozilla-central: 3
* mozilla-release: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 45
* linux64-qr: 3
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-20&endday=2017-11-26&tree=all
https://hg.mozilla.org/releases/mozilla-beta/rev/7dc24d06eb1f
status-firefox58: --- → disabled
status-firefox59: --- → disabled

Comment 29

7 months ago
1 failures in 792 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2017-11-27&endday=2017-12-03&tree=all

Updated

5 months ago
Flags: needinfo?(bugs)

Comment 30

4 months ago
7 failures in 675 pushes (0.01 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 4
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows10-64: 6
* windows10-64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2018-02-19&endday=2018-02-25&tree=all

Comment 31

4 months ago
17 failures in 145 pushes (0.117 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 15
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows10-64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2018-02-26&endday=2018-02-26&tree=all
This Bug has failed 55 times in the last 7 days on Windows 10 affecting opt and pgo build types. 
Failing test: windows10-64/opt-reftest-e10, windows10-64-nightly/opt-reftest-e10.
This bug is disabled on Linux:
                            # mask-image test cases
                             == mask-image-1a.html mask-image-1-ref.html
                             == mask-image-1b.html mask-image-1-ref.html
                             -== mask-image-1c.html mask-image-1-ref.html
                             +random-if(gtkWidget) == mask-image-1c.html mask-image-1-ref.html # bug 1365177
                             == mask-image-1d.html mask-image-1-ref.html

Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=164626355&lineNumber=57518
Part of that log: 
REFTEST TEST-START | file:///C:/Users/task_1519743945/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html == file:///C:/Users/task_1519743945/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1-ref.html
15:32:35     INFO -  REFTEST TEST-LOAD | file:///C:/Users/task_1519743945/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html | 14 / 94 (14%)
15:32:36    ERROR -  REFTEST TEST-UNEXPECTED-FAIL | file:///C:/Users/task_1519743945/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1c.html == file:///C:/Users/task_1519743945/build/tests/reftest/tests/layout/reftests/w3c-css/submitted/masking/mask-image-1-ref.html | image comparison, max difference: 255, number of differing pixels: 5000

:jet do you have any updates on this bug?
Flags: needinfo?(bugs)
Whiteboard: [stockwell disabled] → [stockwell needswork]
this fails specifically on the new hardware in recent times (which we backed out temporarily)- I expect the failures to be lower this week and next week higher.  Most likely we need to fuzzy-if this.

Comment 34

4 months ago
55 failures in 831 pushes (0.066 failures/push) were associated with this bug in the last 7 days. 

This is the #25 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 45
* mozilla-inbound: 8
* mozilla-central: 2

Platform breakdown:
* windows10-64: 54
* windows10-64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1365177&startday=2018-02-26&endday=2018-03-04&tree=all

Comment 35

3 months ago
2 failures in 718 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* windows10-64: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-03-26&endday=2018-04-01&tree=trunk
Whiteboard: [stockwell needswork] → [stockwell unknown]

Comment 36

3 months ago
jwatt: I would expect these two tests to be equally flaky, but it seems that only the second one (which uses a fragment identifier on the URL) is intermittent:

/masking/mask-image-1b.html
/masking/mask-image-1c.html

Can you suggest a way to make this more reliable? Thx!
Flags: needinfo?(bugs) → needinfo?(jwatt)

Comment 37

3 months ago
50 failures in 765 pushes (0.065 failures/push) were associated with this bug in the last 7 days. 

This is the #34 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 18
* mozilla-inbound: 16
* mozilla-central: 12
* try: 2
* mozilla-beta: 2

Platform breakdown:
* windows10-64: 37
* windows10-64-qr: 9
* windows10-64-nightly: 3
* windows10-64-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-02&endday=2018-04-08&tree=trunk

Comment 38

2 months ago
40 failures in 131 pushes (0.305 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 16
* autoland: 13
* try: 5
* mozilla-central: 4
* mozilla-beta: 2

Platform breakdown:
* windows10-64: 20
* windows10-64-qr: 17
* windows10-64-nightly: 3

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-09&endday=2018-04-09&tree=trunk
There have been 81 failures in the last 7 days.

Summary: Intermittent w3c-css/submitted/masking/mask-image-1c.html == w3c-css/submitted/masking/mask-image-1-ref.html | image comparison, max difference: 255, number of differing pixels: 5000

Failures per affected platforms and build types:
- windows10-64 / pgo & opt & 2 failures on debug: 54
- windows10-64-qr / opt & 1 failure on debug: 24
- windows10-64-nightly / opt: 3

Recent log with failure:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=172846253&lineNumber=17766

Link to the reftest analyzer:
https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/bbj2atr6QAuKpczjhzR0mw/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1
Whiteboard: [stockwell unknown] → [stockwell needswork]

Comment 40

2 months ago
25 failures in 150 pushes (0.167 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 9
* mozilla-beta: 7
* mozilla-inbound: 5
* try: 2
* mozilla-central: 2

Platform breakdown:
* windows10-64-qr: 10
* windows10-64: 8
* windows10-64-nightly: 5
* windows10-64-devedition: 2

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-10&endday=2018-04-10&tree=trunk

Comment 41

2 months ago
16 failures in 92 pushes (0.174 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 7
* autoland: 6
* try: 2
* mozilla-central: 1

Platform breakdown:
* windows10-64-qr: 9
* windows10-64: 6
* windows10-64-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-11&endday=2018-04-11&tree=trunk

Comment 42

2 months ago
21 failures in 175 pushes (0.12 failures/push) were associated with this bug yesterday.    

** This test has failed more than 150 times in the last 21 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* mozilla-inbound: 12
* autoland: 7
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* windows10-64-qr: 12
* windows10-64: 8
* windows10-64-nightly: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-12&endday=2018-04-12&tree=trunk
Whiteboard: [stockwell needswork] → [stockwell disable-recommended]

Comment 43

2 months ago
19 failures in 159 pushes (0.119 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 9
* mozilla-inbound: 7
* mozilla-central: 3

Platform breakdown:
* windows10-64-qr: 12
* windows10-64: 7

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-13&endday=2018-04-13&tree=trunk
Joel, since this is ran random on Linux with this line 
random-if(gtkWidget) == mask-image-1c.html mask-image-1-ref.html # bug 1365177 
and it's failling a lot on windows opt and pgo I guess disabling this is not an option cause then the test would not be run anymore. Am I right? 
If that's the case what should we do here? Maybe wait for jwatt to take a look at this? Thanks.
Flags: needinfo?(jmaher)

Comment 45

2 months ago
144 failures in 792 pushes (0.182 failures/push) were associated with this bug in the last 7 days. 

This is the #6 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* mozilla-inbound: 56
* autoland: 56
* try: 13
* mozilla-beta: 10
* mozilla-central: 9

Platform breakdown:
* windows10-64-qr: 68
* windows10-64: 63
* windows10-64-nightly: 9
* windows10-64-devedition: 4

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-09&endday=2018-04-15&tree=trunk
Great question Cosmin, in this case we want to add a skip-if for win10.

Here is how to select win10:
https://searchfox.org/mozilla-central/search?q=%2F%5EWindows%5Cx20NT%5Cx2010%5C.0%2F.test(http.oscpu)&case=false&regexp=false&path=

and you can see many cases of skip-if:
https://searchfox.org/mozilla-central/search?q=skip-if&path=*.list

That should be enough information to go on.
Flags: needinfo?(jmaher)
Thanks for the info here Joel. Will tackle this tomorrow.
Created attachment 8968163 [details]
Bug_1365177 - disabled on Win

Tried to disable this on Win, Joel can you take a look?
Attachment #8968163 - Flags: review?(jmaher)
I don't think that patch is right. The test is failing in the reftest suite, not web-platform-tests suite, so you need to change the line at [1] rather than the .ini file for the web-platform-test.

[1] https://searchfox.org/mozilla-central/rev/bd326a2a6b729dc62a5aee57354a97ceac4d1dc0/layout/reftests/w3c-css/submitted/masking/reftest.list#22
thanks :kats for mentioning that.  Cosmin- you caught the right syntax early on, but it is confusing as this test lives in two places- reftest and web-platform-tests-reftests!

You want to edit here instead:
https://searchfox.org/mozilla-central/source/layout/reftests/w3c-css/submitted/masking/reftest.list#22
Attachment #8968163 - Flags: review?(jmaher)
Created attachment 8968420 [details] [diff] [review]
Disable on Win10

Hi! Made a patch for disabling this test on Windows 10. Joel, could you please take a look at this? Thank you.
Attachment #8968420 - Flags: review?(jmaher)

Updated

2 months ago
Attachment #8968163 - Attachment is obsolete: true
Attachment #8968163 - Attachment is patch: false
Comment on attachment 8968420 [details] [diff] [review]
Disable on Win10

Review of attachment 8968420 [details] [diff] [review]:
-----------------------------------------------------------------

::: layout/reftests/w3c-css/submitted/masking/reftest.list
@@ +20,4 @@
>  == mask-image-1a.html mask-image-1-ref.html
>  == mask-image-1b.html mask-image-1-ref.html
>  random-if(gtkWidget) == mask-image-1c.html mask-image-1-ref.html # bug 1365177
> +skip-if(winWidget&&/^Windows\x20NT\x2010\.0/.test(http.oscpu) == mask-image-1c.html mask-image-1-ref.html # bug 1365177

you are missing a ) at the end of your skip-if.  Also you need to keep the random-if in place as that is for linux.
Attachment #8968420 - Flags: review?(jmaher) → review-
Created attachment 8968466 [details] [diff] [review]
Disable on Win ccov

Modified it. Thanks.
Attachment #8968466 - Flags: review?(jmaher)

Updated

2 months ago
Attachment #8968420 - Attachment is obsolete: true
Comment on attachment 8968466 [details] [diff] [review]
Disable on Win ccov

Review of attachment 8968466 [details] [diff] [review]:
-----------------------------------------------------------------

I would change the commit message to:
Bug 1365177 - Disable w3c-css/submitted/masking/mask-image-1c.html for frequent failures on Windows 10. r=jmaher

::: layout/reftests/w3c-css/submitted/masking/reftest.list
@@ +20,4 @@
>  == mask-image-1a.html mask-image-1-ref.html
>  == mask-image-1b.html mask-image-1-ref.html
>  random-if(gtkWidget) == mask-image-1c.html mask-image-1-ref.html # bug 1365177
> +skip-if(winWidget&&/^Windows\x20NT\x2010\.0/.test(http.oscpu)) == mask-image-1c.html mask-image-1-ref.html # bug 1365177

the random-if and skip-if need to be on the same line, put the skip-if() first, then the random-if.
Attachment #8968466 - Flags: review?(jmaher) → review-
Created attachment 8968471 [details] [diff] [review]
Disable on Win10 ccov

Third time lucky?
Attachment #8968466 - Attachment is obsolete: true
Attachment #8968471 - Flags: review?(jmaher)
Comment on attachment 8968471 [details] [diff] [review]
Disable on Win10 ccov

Review of attachment 8968471 [details] [diff] [review]:
-----------------------------------------------------------------

still missing the random-if on the same line
Attachment #8968471 - Flags: review?(jmaher) → review-
Created attachment 8968476 [details] [diff] [review]
Disable on Win10 ccov

Another try. Really made a mess of this...
Attachment #8968471 - Attachment is obsolete: true
Attachment #8968476 - Flags: review?(jmaher)
Comment on attachment 8968476 [details] [diff] [review]
Disable on Win10 ccov

Review of attachment 8968476 [details] [diff] [review]:
-----------------------------------------------------------------

looks good
Attachment #8968476 - Flags: review?(jmaher) → review+

Comment 59

2 months ago
Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/f3530ea9b461
Disable w3c-css/submitted/masking/mask-image-1c.html for frequent failures on Windows 10. r=jmaher

Updated

2 months ago
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Whiteboard: [stockwell disabled] → [stockwell disabled][checkin-needed-beta]
status-firefox60: --- → disabled
Whiteboard: [stockwell disabled][checkin-needed-beta] → [stockwell disabled]

Comment 62

2 months ago
20 failures in 782 pushes (0.026 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 9
* autoland: 7
* mozilla-central: 2
* mozilla-beta: 2

Platform breakdown:
* windows10-64-qr: 15
* windows10-64: 3
* windows10-64-nightly: 1
* windows10-64-devedition: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1365177&startday=2018-04-16&endday=2018-04-22&tree=trunk
It would be nice to re-enable this test, but it's low priority (likely has negligible use on the Web) and has already taken up more of my time than it's worth given other priorities.
Flags: needinfo?(jwatt)
You need to log in before you can comment on or make changes to this bug.